export declare type Tnum = {
    kind: "number";
    value: number;
};
export declare type Trange = {
    kind: "range";
    value: [number, number];
};
export declare type Tstep = {
    kind: "step";
    value: [Trange, number];
};
export declare type Tlist = {
    kind: "list";
    value: Array<Tnum | Trange | Tstep>;
};
export declare type Tfield = Tnum | Trange | Tlist | Tstep;
export interface Tcron {
    minute: Tfield;
    hour: Tfield;
    date: Tfield;
    month: Tfield;
    week: Tfield;
}
export interface Tdate {
    minute: number;
    hour: number;
    date: number;
    month: number;
    week: number;
}
